## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesWrapperNavigator Class Reference

`#include <XercesWrapperNavigator.hpp>`

Collaboration diagram for XercesWrapperNavigator:

List of all members.

## Public Types

- typedef XalanNode::IndexType IndexType

## Public Methods

- XercesWrapperNavigator (XercesDocumentWrapper* theOwnerDocument = 0)
- XercesWrapperNavigator (const XercesWrapperNavigator& theSource)
- virtual ~XercesWrapperNavigator ()
- XercesDocumentWrapper* getOwnerDocument () const
- void setOwnerDocument (XercesDocumentWrapper* theDocument)
- XalanNode* mapNode (const DOMNodeType* theXercesNode) const
- XalanAttr* mapNode (const DOMAttrType* theXercesNode) const
- const DOMNodeType* mapNode (XalanNode* theXalanNode) const
- IndexType getIndex () const
- void setIndex (IndexType theIndex)
- XalanNode* getParentNode (const DOMNodeType* theXercesNode) const
- XalanNode* getParentNode () const
- void setParentNode (XalanNode* theParent)
- XalanNode* getPreviousSibling (const DOMNodeType* theXercesNode) const
- XalanNode* getPreviousSibling () const
- void setPreviousSibling (XalanNode* thePreviousSibling)
- XalanNode* getNextSibling (const DOMNodeType* theXercesNode) const
- XalanNode* getNextSibling () const
- void setNextSibling (XalanNode* theNextSibling)
- XalanNode* getFirstChild (const DOMNodeType* theXercesNode) const
- XalanNode* getFirstChild () const
- void setFirstChild (XalanNode* theFirstChild)
- XalanNode* getLastChild (const DOMNodeType* theXercesNode) const
- XalanNode* getLastChild () const
- void setLastChild (XalanNode* theLastChild)
- XalanElement* getOwnerElement (const DOMAttrType* theXercesAttr) const
- const XalanDOMString& getPooledString (const XMLCh* theString) const
    Get a pooled string. More...

## Member Typedef Documentation

typedef XalanNode::IndexType XercesWrapperNavigator::IndexType

## Constructor & Destructor Documentation

XercesWrapperNavigator::XercesWrapperNavigator ( | XercesDocumentWrapper * theOwnerDocument = 0 )`[explicit]`

XercesWrapperNavigator::XercesWrapperNavigator ( | const XercesWrapperNavigator & theSource )

virtual XercesWrapperNavigator::~XercesWrapperNavigator ( | )`[virtual]`

## Member Function Documentation

XalanNode * XercesWrapperNavigator::getFirstChild ( | ) const`[]`

XalanNode* XercesWrapperNavigator::getFirstChild ( | const DOMNodeType * theXercesNode ) const

IndexType XercesWrapperNavigator::getIndex ( | ) const`[]`

XalanNode * XercesWrapperNavigator::getLastChild ( | ) const`[]`

XalanNode* XercesWrapperNavigator::getLastChild ( | const DOMNodeType * theXercesNode ) const

XalanNode * XercesWrapperNavigator::getNextSibling ( | ) const`[]`

XalanNode* XercesWrapperNavigator::getNextSibling ( | const DOMNodeType * theXercesNode ) const

XercesDocumentWrapper * XercesWrapperNavigator::getOwnerDocument ( | ) const`[]`

XalanElement* XercesWrapperNavigator::getOwnerElement ( | const DOMAttrType * theXercesAttr ) const

XalanNode * XercesWrapperNavigator::getParentNode ( | ) const`[]`

XalanNode* XercesWrapperNavigator::getParentNode ( | const DOMNodeType * theXercesNode ) const

const XalanDOMString & XercesWrapperNavigator::getPooledString ( | const XMLCh * theString ) const

Get a pooled string.

If the string is not in the pool, add it.

Parameters:

  theString | The string to pool.

Returns:
  A const reference to the pooled string.

XalanNode * XercesWrapperNavigator::getPreviousSibling ( | ) const`[]`

XalanNode* XercesWrapperNavigator::getPreviousSibling ( | const DOMNodeType * theXercesNode ) const

const DOMNodeType* XercesWrapperNavigator::mapNode ( | XalanNode * theXalanNode ) const

XalanAttr* XercesWrapperNavigator::mapNode ( | const DOMAttrType * theXercesNode ) const

XalanNode* XercesWrapperNavigator::mapNode ( | const DOMNodeType * theXercesNode ) const

void XercesWrapperNavigator::setFirstChild ( | XalanNode * theFirstChild )`[]`

void XercesWrapperNavigator::setIndex ( | IndexType theIndex )`[]`

void XercesWrapperNavigator::setLastChild ( | XalanNode * theLastChild )`[]`

void XercesWrapperNavigator::setNextSibling ( | XalanNode * theNextSibling )`[]`

void XercesWrapperNavigator::setOwnerDocument ( | XercesDocumentWrapper * theDocument )`[]`

void XercesWrapperNavigator::setParentNode ( | XalanNode * theParent )`[]`

void XercesWrapperNavigator::setPreviousSibling ( | XalanNode * thePreviousSibling )`[]`

The documentation for this class was generated from the following file:

- XercesWrapperNavigator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.